Subject: Re: NNCP proxy for Internet mail providers?

From: Koushik Roy <[email-masked]>
Date: Wed, 27 Oct 2021 20:46:29 -0700

On Wed, 27 Oct 2021 03:03:38 +0000, [email-masked] wrote:
> I thought about that, but it's actually a lot harder than it appears at
> first glance.  You'd need something similar to isync/offlineimap to
> track the IMAP IDs of individual messages in the maildir on the client
> machine and then have a way of communicating, over NNCP, the changes
> that should cause server side mutations (message deleted, moved to new
> folder, etc.) back to the proxy host for translation into IMAP4 commands
> to relay to the Internet mail server.  Even then that behavior has to be
> a configuration toggle because sometimes you do just want the mailserver
> to archive everything forever even if your client mailbox gets hosed.

I'm curious, why not just cooperate with the local MDA? Is this
specifically to avoid having a local mail daemon altogether?

(Apologies if this mail gets mangled, I'm trying to switch away from
digest mode which is making it inconvenient to directly reply.)

- Koushik